<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of defaultPost, a plugin for Dotclear 2.
#
# Copyright (c) 2010 Xavier Gouchet and contributors
# Licensed under the GPL version 2.0 license.
# See LICENSE file or
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#
# -- END LICENSE BLOCK ------------------------------------

if (!defined('DC_CONTEXT_ADMIN')) { return; }

$_menu['Blog']->addItem(__('defaultPost'),
               'plugin.php?p=defaultPost',
               'index.php?pf=defaultPost/icon.png',
               preg_match('/plugin.php\?p=defaultPost/',$_SERVER['REQUEST_URI']),
               $core->auth->isSuperAdmin()
               );

$core->addBehavior('adminPostHeaders',array('defaultPostBehaviors','postHeaders'));

class defaultPostBehaviors
{
	public static function postHeaders()
	{
		global $core;
		$s =& $core->blog->settings->defaultPost;
		$as = unserialize($s->defaultPost_options);

		$post_lang = $as['post_lang'] == '' ? $core->auth->getInfo('user_lang') : $as['post_lang'];

		if ($s->defaultPost_active) {
			if ((!empty($_REQUEST['p']) && $_REQUEST['p'] == 'defaultPost') || $as['post_date_next'] == -1) {
				// Either we're in the plugin admin page, or no interval has been specified in options
				$post_dt = $as['post_dt'] == '' ?  '' : date('Y-m-d H:i:00',$as['post_dt']);
			} else {
				// The post date has to be set a given interval after the latest post
				// Get the latest published post
				$rs_pub = $core->blog->getPosts(array ('limit' => 1, 'post_status' => 1));
				$pubMaxDate = strtotime($rs_pub->post_dt);
				// Get the latest programmed post
				$rs_prog = $core->blog->getPosts(array ('limit' => 1, 'post_status' => -1));
				$progMaxDate = strtotime($rs_prog->post_dt);
				// Find which one is the newest
				$post_dt = $pubMaxDate < $progMaxDate ? $progMaxDate : $pubMaxDate;
				if ($as['post_date_next'] == 'month') {
					// Add a month to the latest post date
					$post_dt = date('Y-m-d H:i:00', strtotime(date('Y-m-d H:i:00', $post_dt).'+1 month'));
				} else {
					// Add the interval to the latest post date
					$post_dt = date('Y-m-d H:i:00', $post_dt + $as['post_date_next']);
				}
			}

			return

			'<script type="text/javascript">'."\n".
			"//<![CDATA[\n".
			'$(document).ready(function() {'."\n".
			'var post_title = "'.$s->defaultPost_title.'";'."\n".
			'var post_excerpt = "'.str_replace("\r\n","\\n",$s->defaultPost_excerpt).'";'."\n".
			'var post_content = "'.str_replace("\r\n","\\n",$s->defaultPost_content).'";'."\n".
			'var post_notes = "'.str_replace("\r\n","\\n",$s->defaultPost_notes).'";'."\n".
			'var cat_id = "'.$as['cat_id'].'";'."\n".
			'var post_status = "'.$as['post_status'].'";'."\n".
			'var post_dt = "'.$post_dt.'";'."\n".
			'var post_format = "'.$as['post_format'].'";'."\n".
			'var post_open_comment = "'.$as['post_open_comment'].'";'."\n".
			'var post_open_tb = "'.$as['post_open_tb'].'";'."\n".
			'var post_selected = "'.$as['post_selected'].'";'."\n".
			'var post_lang = "'.$as['post_lang'].'";'."\n".
			'var post_password = "'.$as['post_password'].'";'."\n".
			'var post_spec_url = "'.$as['post_spec_url'].'";'."\n".
			'var default_post_tags = "'.$as['default_post_tags'].'";'."\n".
			'var default_post_pings = "'.$as['default_post_pings'].'";'."\n".

			'if ($("input[name=post_title]").val() == "") {'."\n".
				'$("input[name=post_title]").val(post_title);'."\n".
				'$("textarea[name=post_excerpt]").html(post_excerpt);'."\n".
				'$("textarea[name=post_content]").html(post_content);'."\n".
				'$("textarea[name=post_notes]").html(post_notes);'."\n".
				'$("select[name=cat_id]").val(cat_id);'."\n".
				'$("select[name=post_status]").val(post_status);'."\n".
				'$("input[name=post_dt]").val(post_dt);'."\n".
				'$("select[name=post_format]").val(post_format);'."\n".
				'$("input[name=post_open_comment]").attr("checked",post_open_comment);'."\n".
				'$("input[name=post_open_tb]").attr("checked",post_open_tb);'."\n".
				'$("input[name=post_selected]").attr("checked",post_selected);'."\n".
				'$("select[name=post_lang]").val(post_lang);'."\n".
				'$("input[name=post_password]").val(post_password);'."\n".
				'$("input[name=post_url]").val(post_spec_url);'."\n".
				'$("textarea[name=post_tags]").val(default_post_tags);'."\n".
				'var tab = default_post_pings.split(",");'."\n".
				'$("input[name=pings_do\[\]]").each(function(index) {'."\n".
					'if ($(this).val() == tab[index]) {'."\n".
						'$(this).attr("checked", true);'."\n".
					'}'."\n".
				'});'."\n".
			'}'."\n".
			'});'."\n".
			"\n//]]>\n".
			"</script>\n";
		}
	}
}   
?>
