<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of defaultPost, a plugin for Dotclear 2.
#
# Copyright (c) 2010 Xavier Gouchet and contributors
# Licensed under the GPL version 2.0 license.
# See LICENSE file or
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#
# -- END LICENSE BLOCK ------------------------------------

if (!defined('DC_CONTEXT_ADMIN')) { exit; }
 
$m_version = $core->plugins->moduleInfo('defaultPost','version');
 
$i_version = $core->getVersion('defaultPost');

if (version_compare($i_version,$m_version,'>=')) {
	return;
}

# Settings
$core->blog->settings->addNamespace('defaultPost');
$s =& $core->blog->settings->defaultPost;

$s->put('defaultPost_active',false,'boolean','Enable defaultPost plugin',false,true);
$s->put('defaultPost_title','','string','defaultPost title',false,true);
$s->put('defaultPost_content','','string','defaultPost content',false,true);
$s->put('defaultPost_excerpt','','string','defaultPost excerpt',false,true);
$s->put('defaultPost_notes','','string','defaultPost notes',false,true);
$opts = array(
	'cat_id' => '',
	'post_status' => $core->auth->getInfo('user_post_status'),
	'post_dt' => '',
	'post_format' => $core->auth->getOption('post_format'),
	'post_open_comment' => $core->blog->settings->system->allow_comments,
	'post_open_tb' => $core->blog->settings->system->allow_trackbacks,
	'post_selected' => false,
	'post_lang' => $core->auth->getInfo('user_lang'),
	'post_password' => '',
	'post_spec_url' => '',
	'default_post_tags' => '',
	'default_post_pings' => ''
);

$s->put('defaultPost_options',serialize($opts),'string','defaultPost options',false,true);

$core->setVersion('defaultPost',$m_version);

return true;

?>